//
//  BPXLAppDelegate.m
//  CocoaHeads Sandbox
//
//  Created by Rick Fillion on 2013-03-11.
//  Copyright (c) 2013 Black Pixel. All rights reserved.
//

#import "BPXLAppDelegate.h"
#import "BPXLFile.h"

@interface BPXLAppDelegate ()

@property (nonatomic, strong) NSMutableArray *files;
@property (nonatomic, strong) IBOutlet NSArrayController *filesArrayControler;

@end

@implementation BPXLAppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	self.files = [NSMutableArray array];
}

- (IBAction)chooseFilesToAdd:(id)sender
{
	NSOpenPanel *openPanel = [NSOpenPanel openPanel];
	[openPanel setCanChooseDirectories:NO];
	[openPanel setCanChooseFiles:YES];
	[openPanel setAllowsMultipleSelection:YES];
	
	[openPanel beginSheetModalForWindow:self.window completionHandler:^(NSInteger result) {
		for (NSURL *aURL in [openPanel URLs])
		{
			BPXLFile *file = [BPXLFile fileWithURL:aURL];
			[self.filesArrayControler addObject:file];
		}
	}];
}

- (IBAction)removeSelectedFiles:(id)sender
{
	[self.filesArrayControler removeObjects:[self.filesArrayControler selectedObjects]];
}

- (IBAction)runTestOnFiles:(id)sender
{
	NSArray *files = [self.filesArrayControler arrangedObjects];
	for (BPXLFile *file in files)
	{
		[file runBookmarkTest];
	}
}

@end
